### Hierarchy

- Trigger

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- getOverlayFromContainer
- render

## Constructors

### constructor

- new Trigger(spec: ISpecification): Trigger

- - Defined in lib/renderable/trigger/index.ts:17

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Trigger

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/trigger/index.ts:17

## Methods

### Private getOverlayFromContainer

- getOverlayFromContainer(container: INode): INode | undefined

- - Defined in lib/renderable/trigger/index.ts:47

  #### Parameters

  - ##### Optional container: INode

  #### Returns INode | undefined

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/trigger/index.ts:26

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc